Debian Bug report logs - #610635
xine-lib: FTBFS: error: implicit declaration of function 'XvMCFlushSurface'

version graph

Package: src:xine-lib; Maintainer for src:xine-lib is Darren Salt <devspam@moreofthesa.me.uk>;

Reported by: Daniel Schepler <dschepler@gmail.com>

Date: Thu, 20 Jan 2011 17:00:01 UTC

Severity: serious

Tags: sid

Found in version xine-lib/1.1.19-2

Fixed in version xine-lib/1.1.19-3

Done: Reinhard Tartler <siretart@tauware.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Darren Salt <linux@youmustbejoking.demon.co.uk>:
Bug#610635; Package src:xine-lib. (Thu, 20 Jan 2011 17:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <dschepler@gmail.com>:
New Bug report received and forwarded. Copy sent to Darren Salt <linux@youmustbejoking.demon.co.uk>. (Thu, 20 Jan 2011 17:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <dschepler@gmail.com>
To: submit@bugs.debian.org
Subject: xine-lib: FTBFS: error: implicit declaration of function 'XvMCFlushSurface'
Date: Thu, 20 Jan 2011 08:56:43 -0800
Source: xine-lib
Version: 1.1.19-2
Severity: serious

From my pbuilder build log:

...
/bin/bash ../../libtool  --tag=CC   --mode=compile x86_64-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../include -I../.. -I../../include -I../../include -I../../src -I../../src/xine-engine -I../../src/xine-engine -I../../src/xine-utils  -I../../src/input -I../../src/input  -I../../lib -I../../lib -DXINE_COMPILE  
-fvisibility=hidden   -fno-strict-aliasing -D_REENTRANT -D_FILE_OFFSET_BITS=64 -DXINE_COMPILE  -O3 -fomit-frame-pointer   -fexpensive-optimizations -fschedule-insns2 -ffast-math -finline-functions  -Wpointer-arith -g -O2 -g -Wall -Wchar-subscripts -Wnested-externs -
Wcast-align -Wmissing-declarations -Wmissing-prototypes -Wmissing-format-attribute -Wno-pointer-sign -Wformat=2 -Wno-format-zero-length -Wstrict-aliasing=2 -Werror=implicit-function-declaration -DNDEBUG -MT xineplug_vo_out_xxmc_la-video_out_xxmc.lo -MD -MP -
MF .deps/xineplug_vo_out_xxmc_la-video_out_xxmc.Tpo -c -o xineplug_vo_out_xxmc_la-video_out_xxmc.lo `test -f 'video_out_xxmc.c' || echo './'`video_out_xxmc.c
libtool: compile:  x86_64-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../include -I../.. -I../../include -I../../include -I../../src -I../../src/xine-engine -I../../src/xine-engine -I../../src/xine-utils -I../../src/input -I../../src/input -I../../lib -I../../lib -DXINE_COMPILE -fvisibility=hidden -fno-strict-
aliasing -D_REENTRANT -D_FILE_OFFSET_BITS=64 -DXINE_COMPILE -O3 -fomit-frame-pointer -fexpensive-optimizations -fschedule-insns2 -ffast-math -finline-functions -Wpointer-arith -g -O2 -g -Wall -Wchar-subscripts -Wnested-externs -Wcast-align -Wmissing-declarations 
-Wmissing-prototypes -Wmissing-format-attribute -Wno-pointer-sign -Wformat=2 -Wno-format-zero-length -Wstrict-aliasing=2 -Werror=implicit-function-declaration -DNDEBUG -MT xineplug_vo_out_xxmc_la-video_out_xxmc.lo -MD -MP -MF .deps/xineplug_vo_out_xxmc_la-
video_out_xxmc.Tpo -c video_out_xxmc.c  -fPIC -DPIC -o .libs/xineplug_vo_out_xxmc_la-video_out_xxmc.o
video_out_xxmc.c: In function 'xxmc_xvmc_destroy_surfaces':
video_out_xxmc.c:181: error: implicit declaration of function 'XvMCFlushSurface'
video_out_xxmc.c:181: warning: nested extern declaration of 'XvMCFlushSurface'
video_out_xxmc.c:182: error: implicit declaration of function 'XvMCSyncSurface'
video_out_xxmc.c:182: warning: nested extern declaration of 'XvMCSyncSurface'
...
make[4]: *** [xineplug_vo_out_xxmc_la-video_out_xxmc.lo] Error 1
make[4]: Leaving directory `/tmp/buildd/xine-lib-1.1.19/src/video_out'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/buildd/xine-lib-1.1.19/src/video_out'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/xine-lib-1.1.19/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/buildd/xine-lib-1.1.19'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
-- 
Daniel Schepler




Added tag(s) sid. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 20 Jan 2011 20:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Darren Salt <linux@youmustbejoking.demon.co.uk>:
Bug#610635; Package src:xine-lib. (Mon, 24 Jan 2011 22:06:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Darren Salt <linux@youmustbejoking.demon.co.uk>. (Mon, 24 Jan 2011 22:06:11 GMT) Full text and rfc822 format available.

Message #12 received at 610635@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: Daniel Schepler <dschepler@gmail.com>
Cc: 610655@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: xine-lib: FTBFS: error: implicit declaration of function 'XvMCFlushSurface'
Date: Sun, 23 Jan 2011 18:08:06 +0100
On Thu, Jan 20, 2011 at 17:56:43 (CET), Daniel Schepler wrote:

> Source: xine-lib
> Version: 1.1.19-2
> Severity: serious
>
> From my pbuilder build log:
>
> ...
> video_out_xxmc.c: In function 'xxmc_xvmc_destroy_surfaces':
> video_out_xxmc.c:181: error: implicit declaration of function 'XvMCFlushSurface'
> video_out_xxmc.c:181: warning: nested extern declaration of 'XvMCFlushSurface'
> video_out_xxmc.c:182: error: implicit declaration of function 'XvMCSyncSurface'
> video_out_xxmc.c:182: warning: nested extern declaration of 'XvMCSyncSurface'
> ...
> make[4]: *** [xineplug_vo_out_xxmc_la-video_out_xxmc.lo] Error 1

The following patch fixes this. Julien, should this be fixed in xine-lib
or rather in x11proto-video-dev?

>> cat debian/patches/fix-bug610635.diff 
From: Reinhard Tartler <siretart@tauware.de>
Subject: Fix FTBFS
Bug-Debian: http://bugs.debian.org/610635

it seems that the current version of vldXvMC.h from x11proto-video-dev
does no longer include the required XvMClib.h header.


Index: natty/src/video_out/xxmc.h
===================================================================
--- natty.orig/src/video_out/xxmc.h	2011-01-23 17:55:01.333928003 +0100
+++ natty/src/video_out/xxmc.h	2011-01-23 17:54:48.509926463 +0100
@@ -79,6 +79,7 @@
 #include <X11/extensions/Xvlib.h>
 #ifdef HAVE_VLDXVMC
   #include <X11/extensions/vldXvMC.h>
+  #include <X11/extensions/XvMClib.h>
 #else
   #include <X11/extensions/XvMClib.h>
   #include <X11/extensions/XvMC.h>

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4








Information forwarded to debian-bugs-dist@lists.debian.org, Darren Salt <linux@youmustbejoking.demon.co.uk>:
Bug#610635; Package src:xine-lib. (Mon, 24 Jan 2011 22:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Darren Salt <linux@youmustbejoking.demon.co.uk>. (Mon, 24 Jan 2011 22:06:13 GMT) Full text and rfc822 format available.

Message #17 received at 610635@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Reinhard Tartler <siretart@tauware.de>
Cc: Daniel Schepler <dschepler@gmail.com>, 610655@bugs.debian.org
Subject: Re: xine-lib: FTBFS: error: implicit declaration of function 'XvMCFlushSurface'
Date: Sun, 23 Jan 2011 18:34:14 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 23, 2011 at 18:08:06 +0100, Reinhard Tartler wrote:

> On Thu, Jan 20, 2011 at 17:56:43 (CET), Daniel Schepler wrote:
> 
> > Source: xine-lib
> > Version: 1.1.19-2
> > Severity: serious
> >
> > From my pbuilder build log:
> >
> > ...
> > video_out_xxmc.c: In function 'xxmc_xvmc_destroy_surfaces':
> > video_out_xxmc.c:181: error: implicit declaration of function 'XvMCFlushSurface'
> > video_out_xxmc.c:181: warning: nested extern declaration of 'XvMCFlushSurface'
> > video_out_xxmc.c:182: error: implicit declaration of function 'XvMCSyncSurface'
> > video_out_xxmc.c:182: warning: nested extern declaration of 'XvMCSyncSurface'
> > ...
> > make[4]: *** [xineplug_vo_out_xxmc_la-video_out_xxmc.lo] Error 1
> 
> The following patch fixes this. Julien, should this be fixed in xine-lib
> or rather in x11proto-video-dev?
> 
In xine-lib, I think.  Sorry for the breakage.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. (Fri, 25 Feb 2011 22:00:10 GMT) Full text and rfc822 format available.

Notification sent to Daniel Schepler <dschepler@gmail.com>:
Bug acknowledged by developer. (Fri, 25 Feb 2011 22:00:10 GMT) Full text and rfc822 format available.

Message #22 received at 610635-close@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 610635-close@bugs.debian.org
Subject: Bug#610635: fixed in xine-lib 1.1.19-3
Date: Fri, 25 Feb 2011 21:58:57 +0000
Source: xine-lib
Source-Version: 1.1.19-3

We believe that the bug you reported is fixed in the latest version of
xine-lib, which is due to be installed in the Debian FTP archive:

libxine-dev_1.1.19-3_i386.deb
  to main/x/xine-lib/libxine-dev_1.1.19-3_i386.deb
libxine1-all-plugins_1.1.19-3_all.deb
  to main/x/xine-lib/libxine1-all-plugins_1.1.19-3_all.deb
libxine1-bin_1.1.19-3_i386.deb
  to main/x/xine-lib/libxine1-bin_1.1.19-3_i386.deb
libxine1-console_1.1.19-3_i386.deb
  to main/x/xine-lib/libxine1-console_1.1.19-3_i386.deb
libxine1-dbg_1.1.19-3_i386.deb
  to main/x/xine-lib/libxine1-dbg_1.1.19-3_i386.deb
libxine1-doc_1.1.19-3_all.deb
  to main/x/xine-lib/libxine1-doc_1.1.19-3_all.deb
libxine1-ffmpeg_1.1.19-3_i386.deb
  to main/x/xine-lib/libxine1-ffmpeg_1.1.19-3_i386.deb
libxine1-gnome_1.1.19-3_i386.deb
  to main/x/xine-lib/libxine1-gnome_1.1.19-3_i386.deb
libxine1-misc-plugins_1.1.19-3_i386.deb
  to main/x/xine-lib/libxine1-misc-plugins_1.1.19-3_i386.deb
libxine1-plugins_1.1.19-3_all.deb
  to main/x/xine-lib/libxine1-plugins_1.1.19-3_all.deb
libxine1-x_1.1.19-3_i386.deb
  to main/x/xine-lib/libxine1-x_1.1.19-3_i386.deb
libxine1_1.1.19-3_i386.deb
  to main/x/xine-lib/libxine1_1.1.19-3_i386.deb
xine-lib_1.1.19-3.debian.tar.gz
  to main/x/xine-lib/xine-lib_1.1.19-3.debian.tar.gz
xine-lib_1.1.19-3.dsc
  to main/x/xine-lib/xine-lib_1.1.19-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610635@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reinhard Tartler <siretart@tauware.de> (supplier of updated xine-lib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 23 Jan 2011 17:50:35 +0100
Source: xine-lib
Binary: libxine1-doc libxine1 libxine1-bin libxine-dev libxine1-ffmpeg libxine1-gnome libxine1-console libxine1-x libxine1-misc-plugins libxine1-dbg libxine1-plugins libxine1-all-plugins
Architecture: source all i386
Version: 1.1.19-3
Distribution: unstable
Urgency: low
Maintainer: Darren Salt <linux@youmustbejoking.demon.co.uk>
Changed-By: Reinhard Tartler <siretart@tauware.de>
Description: 
 libxine-dev - the xine video player library, development packages
 libxine1   - the xine video/media player library, meta-package
 libxine1-all-plugins - the xine video/media player library, meta package
 libxine1-bin - the xine video/media player library, binary files
 libxine1-console - libaa/libcaca/framebuffer/directfb related plugins for libxine1
 libxine1-dbg - debug symbols for libxine1
 libxine1-doc - the xine video player library, documentation files
 libxine1-ffmpeg - MPEG-related plugins for libxine1
 libxine1-gnome - GNOME-related plugins for libxine1
 libxine1-misc-plugins - Input, audio output and post plugins for libxine1
 libxine1-plugins - the xine video/media player library, meta package
 libxine1-x - X desktop video output plugins for libxine1
Closes: 610635
Changes: 
 xine-lib (1.1.19-3) unstable; urgency=low
 .
   * add missing #include<X11/extensions/XvMClib.h> to avoid FTBFS,
     Closes: #610635
Checksums-Sha1: 
 53cfbfd86cc54803a426caae1170b9e1bc3ccf9c 2354 xine-lib_1.1.19-3.dsc
 dcec175ff584757b5141029d6481233f468d1dba 46539 xine-lib_1.1.19-3.debian.tar.gz
 5af744340b292e3dabcf28ee63c591ee898fc05a 149664 libxine1-doc_1.1.19-3_all.deb
 507835c7c00ff0bba6ac85b77c804686c580db51 63114 libxine1-plugins_1.1.19-3_all.deb
 62488074f818ba5ea6b9334a4b6624f06a1c91bb 63098 libxine1-all-plugins_1.1.19-3_all.deb
 88c0f384fd374a0d5d0b5316789765fa23c2cae8 1560 libxine1_1.1.19-3_i386.deb
 06c14a18e93aeed20207bee27b3f4ff87004b3b0 1621974 libxine1-bin_1.1.19-3_i386.deb
 96117ec81bb09abf56f534ccfd891d803cf3f53d 328178 libxine-dev_1.1.19-3_i386.deb
 c45371e9d3f3c885200922dff1b5cc3f62d44c7a 233730 libxine1-ffmpeg_1.1.19-3_i386.deb
 28f91313ddd5d8b82c7f2a0caff8c7d5ec2ec5c4 14920 libxine1-gnome_1.1.19-3_i386.deb
 74cea4879b6488892ef13af2b73ed21ef2f78428 44696 libxine1-console_1.1.19-3_i386.deb
 42ab8777ae7b1327c01f76c697becaf3465a9a52 144820 libxine1-x_1.1.19-3_i386.deb
 068936df788b952ea1abd440048b64e0ded7dfb6 644200 libxine1-misc-plugins_1.1.19-3_i386.deb
 42dcc682263bc3195d1234c1310c437d27a515f8 3807008 libxine1-dbg_1.1.19-3_i386.deb
Checksums-Sha256: 
 e66a8b1ddb5657b2df90de9a5b852f0cf6e68689df29e88f48a3e23ba56a7065 2354 xine-lib_1.1.19-3.dsc
 6283e31d04f1db19e69bdab695f7cb2526071edc7dd924bdeb9a41c501082340 46539 xine-lib_1.1.19-3.debian.tar.gz
 bdf5055cbb4299bd0f3661df3f69d2f24446f2e9504a10ac8b7d48af210ea725 149664 libxine1-doc_1.1.19-3_all.deb
 5d93d3c04e38789d99ef9fb9c1eb2366f7f1f91c7447a40fc92859a9b41e1601 63114 libxine1-plugins_1.1.19-3_all.deb
 3251030002a04e326d91df64368634184fd6b8b0924a29c272906e636e2f2cc3 63098 libxine1-all-plugins_1.1.19-3_all.deb
 903a7a9f979512c5a20580e03ed053f726101a587cf8bb1a58a4856679e23eec 1560 libxine1_1.1.19-3_i386.deb
 fbbaa43002403fd6652b8989f1810690c470e1953716995c5fb277c91f88fc9f 1621974 libxine1-bin_1.1.19-3_i386.deb
 68c8cbd435102952ca84d52c9fcb57b774eafb560d0069b6ed6e5d672ff67517 328178 libxine-dev_1.1.19-3_i386.deb
 90d4dccbf78ebfff3b17ff3e613e785ca1b35f4a1e667ed2b39464514aec10b4 233730 libxine1-ffmpeg_1.1.19-3_i386.deb
 3c27cd3a19378925c89f0fc6f3c0ad22307ea9b3a2977d72fcab339eb0a21326 14920 libxine1-gnome_1.1.19-3_i386.deb
 9d49cf0a6ceccab971d18bb650af68a1803cb7c251376d439a83094609735952 44696 libxine1-console_1.1.19-3_i386.deb
 d8f6ecdabfebe96b7af980133ee5222269fcdbddf11049cad51a36fa6448c0f9 144820 libxine1-x_1.1.19-3_i386.deb
 1477c0dfad0b113d9d34c08c05338239de30b372936e4514b2f0c086ddb902f8 644200 libxine1-misc-plugins_1.1.19-3_i386.deb
 9cce4fb7ebc9f61e28a66b71d3b40cc713fb733b09a6c7367452cf3c23de5bbe 3807008 libxine1-dbg_1.1.19-3_i386.deb
Files: 
 069ecba362e311a78714d65e54e31fff 2354 libs optional xine-lib_1.1.19-3.dsc
 2f73e0b2055cde6699e7e412c495be1c 46539 libs optional xine-lib_1.1.19-3.debian.tar.gz
 372d3ec539d4e44d4dc2b25732acd716 149664 doc optional libxine1-doc_1.1.19-3_all.deb
 21dd435f7b8e41376357882b65f67922 63114 libs extra libxine1-plugins_1.1.19-3_all.deb
 9b89b0c295c4f750f79fe99b75fc9266 63098 video extra libxine1-all-plugins_1.1.19-3_all.deb
 2544715d0a235900b33a7f980cc4fa4c 1560 libs optional libxine1_1.1.19-3_i386.deb
 f746b5ca96645e1738ad1a1389519020 1621974 libs optional libxine1-bin_1.1.19-3_i386.deb
 fe32d435e384df430c787b7d952ed573 328178 libdevel optional libxine-dev_1.1.19-3_i386.deb
 0827d18e4b20a3880b6f0d1b9d62f466 233730 video optional libxine1-ffmpeg_1.1.19-3_i386.deb
 e41fd58731ff8ec12ecf9665d64e6544 14920 video optional libxine1-gnome_1.1.19-3_i386.deb
 d76c662290d42ede18010081231eaef1 44696 libs extra libxine1-console_1.1.19-3_i386.deb
 89a01815378d356885a6de95869e1aac 144820 libs optional libxine1-x_1.1.19-3_i386.deb
 c849c862b0435704f749992be334dc27 644200 video optional libxine1-misc-plugins_1.1.19-3_i386.deb
 fbc8d2ddfd67b2fd8cbb970dd031c7ec 3807008 debug extra libxine1-dbg_1.1.19-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Debian Powered!

iEYEARECAAYFAk1oGEUACgkQmAg1RJRTSKTHwACeI83VrnPZCLvTckXVgjTexmww
nTEAn3O9FyG6WFqH3O6aY7jrY9E4Ypf4
=46Du
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Apr 2012 07:36:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:12:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.